import { convertToLocalTime, convertToTimeZone } from 'date-fns-timezone';
import { format as dateFnsFormat } from './dateUtils';
export var toTimeZone = function toTimeZone(date, timeZone) {
  if (!(date instanceof Date) || !timeZone) {
    return date;
  }

  return convertToTimeZone(date, {
    timeZone: timeZone
  });
};
export var toLocalTimeZone = function toLocalTimeZone(date, timeZone) {
  if (!(date instanceof Date) || !timeZone) {
    return date;
  }

  return convertToLocalTime(date, {
    timeZone: timeZone
  });
};
export var format = function format(date, template, timeZone) {
  if (!timeZone) {
    return dateFnsFormat(date, template);
  }

  return dateFnsFormat(toTimeZone(date, timeZone), template);
};
export function zonedDate(timeZone) {
  return toTimeZone(new Date(), timeZone);
}