"use strict";

exports.__esModule = true;
exports.zonedDate = zonedDate;
exports.format = exports.toLocalTimeZone = exports.toTimeZone = void 0;

var _dateFnsTimezone = require("date-fns-timezone");

var _dateUtils = require("./dateUtils");

var toTimeZone = function toTimeZone(date, timeZone) {
  if (!(date instanceof Date) || !timeZone) {
    return date;
  }

  return (0, _dateFnsTimezone.convertToTimeZone)(date, {
    timeZone: timeZone
  });
};

exports.toTimeZone = toTimeZone;

var toLocalTimeZone = function toLocalTimeZone(date, timeZone) {
  if (!(date instanceof Date) || !timeZone) {
    return date;
  }

  return (0, _dateFnsTimezone.convertToLocalTime)(date, {
    timeZone: timeZone
  });
};

exports.toLocalTimeZone = toLocalTimeZone;

var format = function format(date, template, timeZone) {
  if (!timeZone) {
    return (0, _dateUtils.format)(date, template);
  }

  return (0, _dateUtils.format)(toTimeZone(date, timeZone), template);
};

exports.format = format;

function zonedDate(timeZone) {
  return toTimeZone(new Date(), timeZone);
}